module Shoppy
  class CartItem < ActiveRecord::Base
    ## Relationships
    belongs_to :customer
    belongs_to :variant

    ## Validators
    validates :quantity, presence: true
    validates :quantity, :numericality => { :greater_than_or_equal_to => 0 }


  end
end