class CreateUserAddresses < ActiveRecord::Migration
  def change
    create_table :user_addresses do |t|
      t.string :add_line1, null: false, limit: 75
      t.string :add_line2, null: true,  limit: 75
      t.string :city,      null: false, limit: 25
      t.string :state,     null: true,  limit: 25
      t.string :country,   null: false, limit: 25
      t.string :zip,       null: false, limit: 5

      t.references :customer

      t.timestamps
    end
  end
end
