class CreateCategories < ActiveRecord::Migration
  def change
    create_table :categories do |t|
      t.string :name, null: false, uniqune: true, limit: 100
      t.references "parent_category"
      
      t.timestamps
    end
    add_index :categories, :name, unique: true
  end
end
