class CreateStockLocations < ActiveRecord::Migration
  def change
    create_table :stock_locations do |t|
      t.string :name,       null: false, unique: true, limit: 100
      t.string :email,      null: true, limit: 100
      t.string :phone,      null: true, limit: 20
      t.string :add_line1,  null: true, limit: 75
      t.string :add_line2,  null: true, limit: 75
      t.string :city,       null: true, limit: 25
      t.string :state,      null: true, limit: 25
      t.string :country,    null: true, limit: 25
      t.string :zip,        null: true, limit: 5

      t.timestamps
    end
    add_index :stock_locations, :name, unique: true
  end
end
