class CreateInventories < ActiveRecord::Migration
  def change
    create_table :inventories do |t|
      t.references :variant
      t.references :stock_location
      t.integer :quantity, default: 0, null: false

      t.timestamps
    end
    add_index :inventories, [:variant_id, :stock_location_id], unique: true, name: "VariantStockJointIndex"
  end
end
