class CreateOrders < ActiveRecord::Migration
  def change
    create_table :orders do |t|
      t.date        :date
      t.references  :customer
      t.decimal     :total_price, precision: 8, scale: 2, null: false, default: 0
      t.references  :payment_method
      t.timestamps
    end
  end
end
