module Shoppy
  module InventoriesHelper

    def self.get_inventory_for_variant(variant)
      Inventory.where(variant_id: variant.id).all.order("quantity DESC")
    end


    def self.add_variant_to_stock_location(variant, quantity, stock_location)
      i = Inventory.find_by(variant_id: variant.id, stock_location_id: stock_location.id)
      if !i
        i = Inventory.new
        i.variant = variant
        i.stock_location = stock_location
      end
      i.quantity ? i.quantity += quantity : i.quantity = quantity
      if i.save
        return true
      else
        return false
      end
    end


    def self.deduct_variant_from_stuck_location(variant, quantity, stock_location)
      i = Inventory.find_by(stock_location_id: stock_location.id, variant_id: variant.id)
      if i && i.quantity > quantity
        i.quantity -= quantity
        i.save
        return true
      elsif i && i.quantity == quantity
        i.destory
        return true
      else
        return false
      end
    end


    def self.transfer_inventory(from_stock_location, to_stock_location, variant, quantity)
      Inventory.transaction do
        if deduct_variant_from_stuck_location(variant, quantity, from_stock_location) && add_variant_to_stock_location(variant, quantity, to_stock_location)
          return true
        else
          raise ActiveRecord::Rollback
          return false
        end
      end
    end


  end
end