module Shoppy
  class Inventory < ActiveRecord::Base
    ## Relationships
    belongs_to :variant
    belongs_to :stock_location

    ## Validators
    validates :quantity, presence: true
    validates :quantity, numericality: { greater_than_or_equal_to: 0 }


    def variant_details
      "#{self.variant.name} - [Available: #{self.quantity}]"
    end


  end
end