module Shoppy
  class OptionsItem < ActiveRecord::Base
    ## Relationships
    belongs_to :options_group

    ## Filters
    before_save :caps
    ## Validators
    validates :name,      presence: true
    # validates :name,      uniqueness: true
    validates :name,      length: { in: 2..50, too_short: "must have at least %{count} letters", too_long: "must have at most %{count} letters" }

    def caps
      self.name = self.name.downcase.titleize
    end

  end
end