class CreateProducts < ActiveRecord::Migration
  def change
    create_table :products do |t|
      t.string :name,        null: false, unique: true, limit: 100
      t.hstore :hash_data,   null: false, default: {}

      t.references :brand
      t.references :manufacturer

      t.timestamps
    end
    add_index :products, :name, unique: true
  end
end
