class CreateProductOptionsJointTable < ActiveRecord::Migration
  def change
    create_table :options_groups_products, id: false do |t|
      t.references :product
      t.references :options_group
    end
    add_index :options_groups_products, [:product_id, :options_group_id], unique: true, name: "ProductOptionsJointIndex"
  end
end
