class CreateVariants < ActiveRecord::Migration
  def change
    create_table :variants do |t|
      t.string :name,         null: false, limit: 100
      t.hstore :hash_data,    null: false, default: {}
      t.references  :product

      t.timestamps
    end
    add_index :variants, :name, unique: true
  end
end
