class CreateCartItems < ActiveRecord::Migration
  def change
    create_table :cart_items do |t|
      t.references  :customer
      t.references  :variant
      t.integer     :quantity, null: false, default: 0

      t.timestamps
    end
    add_index :cart_items, [:customer_id, :variant_id], unique: true, name: "CartVariantCustomerConstraint"
  end
end
